FatdogArm Builder
=================

Things you will not find here
-----------------------------
 - Kernels
 - Bootloaders
 - Specific boot-time scripts or configuration files
   (e.g. script.bin, boot.cmd, etc)

FatdogArm Builder
-----------------
`build-sfs.sh` will make fd-arm.sfs for you assuming you have all 
the right tools. 

You can run it like this:

		./build-sfs.sh

to let it automatically download, create the rootfs and then squash it 
to fd-arm.sfs (you'd better have 2GB or more in your /tmp).

Or you can run it like this:

		./build-sfs.sh download

to have it only download the needed packages but don't do more than 
that.

Or you can run it like this:

		./build-sfs.sh install

to have it download and create the rootfs (=install the packages into 
the rootfs directory). 

----

Environment variables you can set to modify `build-sfs.sh`, with 
their default values. Their meanings should be self-evident.

 - PKG_EXT (tbz)
 - PKG_URL (http://distro.ibiblio.org/fatdog/arm/packages/beta)
 - PKG_CACHE (/tmp/pkgcache)
 - PKG_LIST (base-packages)
 - GEN\_EXCLUSION\_LIST (./gen-exclusion-list)
 - OUTPUT_DIR (/tmp/output)
 - ROOTFS_DIR (/tmp/rootfs.$$)
 - KEEP_ROOTFS ("" - rootfs will be deleted unless this is set non-blank)
 - BUILD_CONFIG ($HOME/build.conf)

You can persistently change this settings by creating $HOME/build.conf 
which will be sourced during build - the location of this file can also 
by set by passing the 2nd parameter to the script or by setting 
BUILD_CONFIG environment.

PKG_LIST variable contains the list of packages to be installed;
by default it will use `sfs-pkglist` which comes with this repository. 
You can tweak this (or use your own custom package list) to define which 
packages to be installed in the rootfs.

GEN\_EXCLUSION\_LIST variable defines the program that will generate 
list of files (on std output) to _exclude_ from the sfs when the sfs is 
created. 
By default it uses `gen-exclusion-list` which is included in here.
You can tweak it to include or exclude files from the final squashfs 
build; for example the default excludes /usr/share/locale (cutting down 
about 60MB from the final sfs size), but it includes the full 
documentation in /usr/share/doc. If you exclude the documentation 
(/usr/share/doc) it will cut down another 60MB. There are other files 
which can be trimmed too.

`prep-fossil` is a script to prepare for checking-in to the fossil 
repository (it creates empty files on empty directories to make sure 
they are checked-in), so it is generally to be ignored unless you have 
commit access right for FatdogArm repository.

----

Build environments tested: Fatdog64 and native (FatdogArm) build. 
Building in other environments are possible, but success is not 
guaranteed.

If you are interested in customising FatdogArm build for your hardware,
please contact me - leave me a message on my blog (preferred) or PM me 
on [murga-linux forum](http://murga-linux.com/puppy).
